Page MenuHomePhabricator

Throttle rule for 2020-03-09 - Senior Citizens Write Wikipedia course
Closed, ResolvedPublic

Description

Please add new throttle rule

Start: 2020-03-09T14:00 +1:00
End: 2020-03-09T18:00 +1:00
Range: 185.153.192.0-60
Projects: cswiki, commonswiki
Value: 12
Instructor: Jan Macura, jan.macura@wikimedia.cz
Course link: https://outreachdashboard.wmflabs.org/courses/Knihovna_m%C4%9Bsta_Plzn%C4%9B/Plze%C5%88_za%C4%8D%C3%A1te%C4%8Dn%C3%ADci_(jaro_2020)

Details

Related Gerrit Patches:

Event Timeline

jmac created this task.Mar 7 2020, 12:45 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 7 2020, 12:45 AM
Reedy triaged this task as High priority.Mar 7 2020, 12:51 AM
Reedy added a project: Wikimedia-Site-requests.
Restricted Application added a subscriber: Dereckson. · View Herald TranscriptMar 7 2020, 12:51 AM
Reedy added a subscriber: Reedy.Mar 7 2020, 12:53 AM

185.153.192.0/60 isn't valid CIDR - /60 isn't a valid netmask

Do you mean 185.153.192.0-185.153.192.60 or something else?

jmac added a comment.Mar 7 2020, 1:01 AM

Yes, I meant that range of addresses.

Reedy updated the task description. (Show Details)Mar 7 2020, 1:08 AM

Based on my calculations,
185.153.192.0/27
185.153.192.32/28
185.153.192.48/29
185.153.192.56/30
185.153.192.60/32
Will be the ranges needed to cover that

We should be able to deploy this in time using EU Mid-Day slot if one of the deployers will take it and purge cache at the same time.

@jmac: For future note, Please request these at least 96 hours in advance.

RhinosF1 claimed this task.Mar 7 2020, 7:06 AM
Restricted Application added a project: User-RhinosF1. · View Herald TranscriptMar 7 2020, 7:06 AM
DannyS712 updated the task description. (Show Details)Mar 7 2020, 7:09 AM

Change 577728 had a related patch set uploaded (by RhinosF1; owner: RhinosF1):
[operations/mediawiki-config@master] Add Throttle Rule for Senior Citizens Write Wikipedia Course - 2020-03-09

https://gerrit.wikimedia.org/r/577728

RhinosF1 removed RhinosF1 as the assignee of this task.Mar 7 2020, 7:15 AM

@Urbanecm: Can you deploy and clear cache for this?

After this, if the event is in less than 72 hours, you should delete the memcached key with mwscript resetAuthenticationThrottle.php --wiki=metawiki --signup --ip 1.2.3.4

per https://wikitech.wikimedia.org/wiki/Increasing_account_creation_threshold

RhinosF1 moved this task from Incoming to Deployment on the User-RhinosF1 board.Mar 7 2020, 7:16 AM

@Urbanecm: Can you deploy and clear cache for this?
After this, if the event is in less than 72 hours, you should delete the memcached key with mwscript resetAuthenticationThrottle.php --wiki=metawiki --signup --ip 1.2.3.4
per https://wikitech.wikimedia.org/wiki/Increasing_account_creation_threshold

Looking at the code of the script, pretty sure 1.2.3.4 is an example, not the specific value to use

@Urbanecm: Can you deploy and clear cache for this?
After this, if the event is in less than 72 hours, you should delete the memcached key with mwscript resetAuthenticationThrottle.php --wiki=metawiki --signup --ip 1.2.3.4
per https://wikitech.wikimedia.org/wiki/Increasing_account_creation_threshold

Looking at the code of the script, pretty sure 1.2.3.4 is an example, not the specific value to use

Thanks!

@jmac: While I'm trying to find someone and hoping we can deploy this, We only have one window to do it and as I won't be there for the deploy, I need to make sure someone can SWAT and is confident with the requirements. This does mean that there is a chance the patch will be merged in time for your event.

Reedy added a comment.Mar 7 2020, 10:49 AM

Based on my calculations,
185.153.192.0/27
185.153.192.32/28
185.153.192.48/29
185.153.192.56/30
185.153.192.60/32
Will be the ranges needed to cover that

That seems excessively complex.

Doesn’t MW do ranges using -? So just do 0-60?

Based on my calculations,
185.153.192.0/27
185.153.192.32/28
185.153.192.48/29
185.153.192.56/30
185.153.192.60/32
Will be the ranges needed to cover that

That seems excessively complex.
Doesn’t MW do ranges using -? So just do 0-60?

I’ve never seen a range do that in mediawiki. If you’re confident, make the change. I still haven’t found anyone to deploy though.

Reedy added a comment.Mar 7 2020, 11:00 AM

It’s fairly standard syntax, more readable too. And seems a lot more sensible than doing CIDR maths to end up with multiple ranges. I’ve never seen anyone do that before

I’ll look later. There’s no urgency at this point as long as it’s before Monday. The script needs running anyway. Plus the event has a large pool of addresses... I’m doubting they’ll have 60x12 signups in 4 hours anyway...

Jenkins has just failed but I’m about to go out for the rest of the day. If you want to look at it, go ahead. If not, I’ll (un)break things tonight.

Reedy added a comment.Mar 7 2020, 11:17 AM

Ok, yeah, so my syntax was slightly off, but explicit ranges are supported

> var_dump( Wikimedia\IPUtils::parseRange( '185.153.192.0-185.153.192.60' ) );
array(2) {
  [0]=>
  string(8) "B999C000"
  [1]=>
  string(8) "B999C03C"
}

Change 577728 merged by jenkins-bot:
[operations/mediawiki-config@master] Add Throttle Rule for Senior Citizens Write Wikipedia Course - 2020-03-09

https://gerrit.wikimedia.org/r/577728

Mentioned in SAL (#wikimedia-operations) [2020-03-07T12:48:06Z] <reedy@deploy1001> Synchronized wmf-config/throttle.php: T247149 (duration: 01m 07s)

Reedy closed this task as Resolved.Mar 7 2020, 1:07 PM
Reedy claimed this task.

And because of lack of range support in the script.. (see T247160)

reedy@deploy1001:~$ cat T247149.sh 
#!/bin/bash

for i in {1..60}
do
 echo "$i"
 mwscript resetAuthenticationThrottle.php --wiki=metawiki --signup --ip="185.153.192.$i"
done
Maintenance_bot moved this task from Deployment to Done on the User-RhinosF1 board.Mar 7 2020, 1:15 PM
jmac added a comment.Mar 7 2020, 10:04 PM

Thanks, everyone!